NEXTWCTYPE(3)

NAME
nextwctype, nextwctype_l - iterate through character classes

LIBRARY
libc

SYNOPSIS
#include <wctype.h>
wint_t
nextwctype(wint_t ch, wctype_t wct);
#include <xlocale.h>
wint_t
nextwctype_l(wint_t ch, wctype_t wct, locale_t loc);

DESCRIPTION
The nextwctype() function determines the next character after ch that is a member of character class wct. If ch is -1, the search begins at the first member of wct.

While the nextwctype() function uses the current locale, the .Fn nextwctype_l function may be passed a locale directly. See xlocale(3) for more information.

RETURN VALUES
The nextwctype() function returns the next character, or -1 if there are no more.

COMPATIBILITY
This function is a non-standard FreeBSD extension and should not be used where the standard iswctype() function would suffice.

SEE ALSO
wctype(3), xlocale(3)

HISTORY
The nextwctype() function appeared in FreeBSD 5.4.